Subject: Re: Suggestions for documentation

From: Claudio Scordino <[email-masked]>
Date: Thu, 21 Jun 2007 13:24:17 +0200

Hi,

    actually I didn't understand the difference between "git clone --bare" and
"git --bare fetch" either... (maybe is not clear in the documentation ?)

For instance, what should be used when setting up a public not-working repository ?

I mean, we can use both

git --bare init
git --bare fetch ... master:master

and

git clone --bare  ...

Thank you in advance.

Regards,

             Claudio

Luiz Fernando N. Capitulino wrote:
> Em Tue, 19 Jun 2007 09:33:05 +0200
> Claudio Scordino <[email-masked]> escreveu:
> 
> | Hi,
> | 
> |     I just want to suggest to put some missing information in the git manpages.
> | 
> | 1) As my previous question shown, how to clone from a specified port is not 
> | currently documented. You should just add a sentence saying that the command is
> | 
> | git clone git://server:port/path/
> | 
> | 2) Maybe it is better to highlight that after a push on a remote repository, the 
> | user has to do a checkout on that repository (people from the CVS and SVN worlds 
> | get easily confused, otherwise).
> | 
> | Moreover (and I did not fully understood why) if I just use "git checkout" 
> | without the -f option, I cannot see the changes that have been pushed from the 
> | cloned repository.
> 
>  git-rebase documentation needs some change too. We should add some high level
> description in one paragraph at the top of the file.
> 
>  I answer the very same question ('why should I want to use git-rebase?')
> three times per week.
> 
>  I'll submit a patch shortly.
>